Bug 841727 - Add Apache Modules and Module attributes
Add Apache Modules and Module attributes
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: doc-HTTP-Connectors-Guide (Show other bugs)
2.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 23:33 EDT by Misha H. Ali
Modified: 2012-11-08 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 17:10:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2012-07-19 23:33:48 EDT
The following apache modules must be added to chapter 5.1 of the HTTP connector guide for 2.0:

* mod_proxy.so
* mod_proxy_ajp.so
* mod_slotmem.so

Additionally, the following existing modules require the listed attributes to be added:

* mod_manager.so
  - EnableMCPMReceive
  - MaxMCMPMaxMessSize
  - AllowDisplay
  - AllowCmd
  - ReduceDisplay
  - SetHandler mod_cluster-manager

* mod_proxy_cluster.so
  - CreateBalancers
Comment 1 Misha H. Ali 2012-07-23 03:03:47 EDT
Will set to ON_QA once this appears on the stage.
Comment 4 Radim Hatlapatka 2012-10-22 10:02:32 EDT
Several issues which are still there:

MemManagerFile:
The default value of MemManagerFile is $server_root/logs/ and not /logs/

ServerAdvertise:
There should be added note for default value of ServerAdvertise, that if any Advertise directive in a VirtualHost is used than it sets it to On in the VirtualHost)

AdvertiseGroup:
There is specified default value consisting from IP:PORT, which is ok, but why is there the next sentence about default port which is clear from first sentence => it is a redundant sentence which should be removed.

AdvertiseFrequency:
Please add information that it can be set in milliseconds as well, see http://docs.jboss.org/mod_cluster/1.2.0/html_single/#d0e701
Comment 5 Misha H. Ali 2012-10-22 21:16:31 EDT
(In reply to comment #4)
> Several issues which are still there:
> 
> MemManagerFile:
> The default value of MemManagerFile is $server_root/logs/ and not /logs/
> 

Fixed.

> ServerAdvertise:
> There should be added note for default value of ServerAdvertise, that if any
> Advertise directive in a VirtualHost is used than it sets it to On in the
> VirtualHost)

Fixed.

> AdvertiseGroup:
> There is specified default value consisting from IP:PORT, which is ok, but
> why is there the next sentence about default port which is clear from first
> sentence => it is a redundant sentence which should be removed.
> 

Redundant sentence removed.

> AdvertiseFrequency:
> Please add information that it can be set in milliseconds as well, see
> http://docs.jboss.org/mod_cluster/1.2.0/html_single/#d0e701

Fixed.
Comment 7 Radim Hatlapatka 2012-10-23 08:16:45 EDT
It looks ok now.
Comment 8 Misha H. Ali 2012-11-08 17:10:52 EST
This bug is set to CLOSED CURRENT RELEASE to indicate that this fix is now released and available at access.redhat.com.

Note You need to log in before you can comment on or make changes to this bug.